import request from '@/utils/request'
// 设备列表（分页）
export function getList(data) {
  return request({
    url: '/api/v1/hh/omc/device/page',
    method: 'post',
    data
  })
}

// 设备配置-添加-编辑
export function add(data) {
  return request({
    url: '/api/v1/hh/omc/device/add',
    method: 'post',
    data
  })
}

// 设备删除
export function deleteById(deviceId) {
  return request({
    url: `/api/v1/hh/omc/device/del/${deviceId}`,
    method: 'post'
  })
}

// 设备授权
export function autoById(deviceId) {
  return request({
    url: `/api/v1/hh/omc/device/enable`,
    method: 'get',
    params: { deviceId }
  })
}

// 设备取消授权
export function autoCancelById(deviceId) {
  return request({
    url: `/api/v1/hh/omc/device/disable`,
    method: 'get',
    params: { deviceId }
  })
}
// 设备模版-新增-编辑
export function templateEdit(data) {
  return request({
    url: '/api/v1/hh/omc/device/template/edit',
    method: 'post',
    data
  })
}
// 设备模版列表
export function templateList(data) {
  return request({
    url: '/api/v1/hh/omc/device/template/list',
    method: 'get',
    params: {}
  })
}
// 设备模版列表(分页)
export function templatePage(data) {
  return request({
    url: '/api/v1/hh/omc/device/template/page',
    method: 'post',
    data
  })
}
// 设备模版-删除
export function templateDel(deviceTemplateId) {
  return request({
    url: `/api/v1/hh/omc/device/template/${deviceTemplateId}`,
    method: 'get'
  })
}
// 模版-模版详情
export function templateDetail(deviceTemplateId) {
  return request({
    url: '/api/v1/hh/omc/device/template/detail',
    method: 'get',
    params: { deviceTemplateId }
  })
}
